Bug 825320 - MIME encoded emails have junk at the end.
MIME encoded emails have junk at the end.
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: mutt (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Honza Horak
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-25 12:39 EDT by Dave Jones
Modified: 2015-01-04 17:31 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-25 10:21:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
mime encoded email (4.98 KB, text/plain)
2012-05-25 12:39 EDT, Dave Jones
no flags Details

  None (edit)
Description Dave Jones 2012-05-25 12:39:13 EDT
Created attachment 586899 [details]
mime encoded email

load the attached email with mutt -f junk
Note the last line after -Tony

displays here as...

N?????r??y????b?X??ǧv?^?) .n?+????{????zX??^W??ܨ}???Ơz?&j:+v???^G????zZ+??+zf???h???~????i???z?^^?w?????????&?)ߢ^[f??^jǫy?m??@A?a??^??^L0??h?^O??i^?
Comment 1 Honza Horak 2012-06-25 10:21:36 EDT
Thanks for the report, but I believe this is not an issue in mutt.

The mail message attached says it is encoded in base64, which is true for the message itself, except the footer, which is most probably appended by the mailing-list daemon. This part is obviously not encoded, which is wrong. mutt only does its part and simply decodes the whole message, which results in the junk, instead of the footer.

I'd say the mailing-list daemon should parse the message header in this case and if it finds a base64-encoded message, it should encode the appended footer as well.

Note You need to log in before you can comment on or make changes to this bug.